/* Definitions for Sun quadruple precision format */

/* @(#)testbase.h 1.6 91/02/28 SMI	 */

/*
 * Copyright (c) 1989 by Sun Microsystems, Inc.
 */

/* Units by which a floating point value is laid out in memory. */
#define FLOATSIZEUNIT unsigned long

typedef FLOATSIZEUNIT quadruplefloat[4];	/* IEEE quadruple */

#define FLOAT quadruplefloat
#define FLOAT_IS_ARRAY 1	/* True if FLOAT type is an array. */
#define FLOATSTRING "quadruple"
#define FBINARY real*16
#define CONV "%Lf"		/* scanf conversion character */
#define BIGINTSIZE (131072/BIGBASE_BITS)   /* Size of bigint significand. */

#define FLOAT_PRECISION 113	/* Number of bits in mantissa. */
