/* Definitions for Sun extended precision format */

/* @(#)testbase.h 1.6 91/02/28 SMI	 */

/*
 * Copyright (c) 1989 by Sun Microsystems, Inc.
 */

/* Units by which a floating point value is laid out in memory. */
#define FLOATSIZEUNIT unsigned long

typedef FLOATSIZEUNIT double_extended[3];	/* MC68881/i80387 extended */

#define FLOAT double_extended
#define FLOAT_IS_ARRAY 1	/* True if FLOAT type is an array. */
#define FLOATSTRING "double_extended"
#define BIGINTSIZE (131072/BIGBASE_BITS)  /* Size of bigint significand. */

#define FLOAT_PRECISION 64	/* Number of bits in mantissa. */
