/* Routines for dealing with interrupts for HP-UX release 7.0 */

#ifndef lint
static char     sccsid[] = "@(#)testbase.c 1.14 91/02/28 SMI";
#endif

/*
 * Copyright (c) 1989 by Sun Microsystems, Inc.
 */


#include "testbase.h"

#include <signal.h>


void
init_interrupt_handling()
{
	(void) signal( SIGHUP, interrupt );
	(void) signal( SIGINT, interrupt );
	(void) signal( SIGQUIT, interrupt );
	(void) signal( SIGTERM, interrupt );

	/* The damn HP generates SIGFPE's on overflows (and probably
	 * a number of other exceptions) by default, in violation of
	 * the IEEE standard.  Turn this off the brute-force way, since
	 * we don't know of any other way to do it.
	 */

	(void) signal( SIGFPE, SIG_IGN );
}
