/* Configuration file for Stardent ST3000VX running 4.0 B II */

/* @(#)testbase.h 1.6 91/02/28 SMI	 */

/*
 * Copyright (c) 1989 by Sun Microsystems, Inc.
 */

/* Whether to test, by default, for correct setting of exception flags. */
#define TEST_EXCEPTIONS_DEFAULT 0

#define NORMAL_ROUNDING round_unbiased

#define DECIMALSTRING_LENGTH 1024	/* Length of declared strings. */

/* Fortran decimal string type. */
#define FDECIMAL character*DECIMALSTRING_LENGTH

/* Maximum floatsize possible on this system, in units of "FLOATSIZEUNIT"'s
 * Since the Stardent supports just single and double precision, and since
 * FLOATSIZEUNIT is unsigned long, this value is 2 units.
 */
#define MAXFLOATSIZE 2

/* Protect the following include so that our FORTRAN code won't see it */
#ifndef FDEFS

extern char *malloc();
extern char *realloc();
extern int free();
#define ALLOC_TYPE char *

#endif
