/* Configuration file for Sun 3 and 4 running SunOS 4.1 */

/* @(#)testbase.h 1.6 91/02/28 SMI	 */

/*
 * Copyright (c) 1989 by Sun Microsystems, Inc.
 */

/* Whether to test, by default, for correct setting of exception flags. */
#define TEST_EXCEPTIONS_DEFAULT 1

#define NORMAL_ROUNDING round_unbiased

#define DECIMALSTRING_LENGTH 1024	/* Length of declared strings. */

/* Fortran decimal string type. */
#define FDECIMAL character*DECIMALSTRING_LENGTH

/* Maximum floatsize possible on this system, in units of "FLOATSIZEUNIT"'s
 * Since Suns support up to quadruple precision and FLOATSIZEUNIT is unsigned
 * long, this then is four units.
 */
#define MAXFLOATSIZE 4

/* Protect the following include so that our FORTRAN code won't see it */
#ifndef FDEFS
#include <sys/types.h>

/* Internal routine for translating from a SunOS IEEE exception mask to
 * testbase's equivalent.
 */
int translate_SUNOS_IEEE_exceptions();

#ifdef __GNUC__

extern void *malloc( size_t );
extern void *realloc( void*, size_t );
extern void free( void* );
#define ALLOC_TYPE void *

#undef NULL	/* let <stdio.h> define it ... */

#else
extern char *malloc();
extern char *realloc();
extern int free();
#define ALLOC_TYPE char *
#endif

extern void	exit();
extern int	printf();
extern int	fprintf();
extern int	sscanf();
extern int	fflush();

#endif
